aboutsummaryrefslogtreecommitdiffstats
path: root/trunk/bootstrap.sh
diff options
context:
space:
mode:
authorrussell <russell@f38db490-d61c-443f-a65b-d21fe96a405b>2008-01-19 00:19:29 +0000
committerrussell <russell@f38db490-d61c-443f-a65b-d21fe96a405b>2008-01-19 00:19:29 +0000
commitf8247040e6231c4b3b5099ea3a526348b7941566 (patch)
tree0cc92ad6ebf6ae49a62f6e7ef8ec819121d63630 /trunk/bootstrap.sh
parentd88e56c61ce2042544c1a8a71c93b69ab2e6ffba (diff)
Creating tag for the release of asterisk-1.6.0-beta1v1.6.0-beta1
git-svn-id: http://svn.digium.com/svn/asterisk/tags/1.6.0-beta1@99163 f38db490-d61c-443f-a65b-d21fe96a405b
Diffstat (limited to 'trunk/bootstrap.sh')
-rwxr-xr-xtrunk/bootstrap.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/trunk/bootstrap.sh b/trunk/bootstrap.sh
new file mode 100755
index 000000000..b7eb4d83d
--- /dev/null
+++ b/trunk/bootstrap.sh
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+check_for_app() {
+ $1 --version 2>&1 >/dev/null
+ if [ $? != 0 ]
+ then
+ echo "Please install $1 and run bootstrap.sh again!"
+ exit 1
+ fi
+}
+
+# On FreeBSD and OpenBSD, multiple autoconf/automake versions have different names.
+# On linux, envitonment variables tell which one to use.
+
+uname -s | grep -q BSD
+if [ $? = 0 ] ; then # BSD case
+ case `uname -sr` in
+ 'FreeBSD 4'*) # FreeBSD 4.x has a different naming
+ MY_AC_VER=259
+ MY_AM_VER=19
+ ;;
+ *)
+ MY_AC_VER=-2.61
+ MY_AM_VER=-1.9
+ ;;
+ esac
+else # linux case
+ MY_AC_VER=
+ MY_AM_VER=
+ AUTOCONF_VERSION=2.60
+ AUTOMAKE_VERSION=1.9
+ export AUTOCONF_VERSION
+ export AUTOMAKE_VERSION
+fi
+
+check_for_app autoconf${MY_AC_VER}
+check_for_app autoheader${MY_AC_VER}
+check_for_app automake${MY_AM_VER}
+check_for_app aclocal${MY_AM_VER}
+
+echo "Generating the configure script ..."
+
+aclocal${MY_AM_VER} 2>/dev/null
+autoconf${MY_AC_VER}
+autoheader${MY_AC_VER}
+automake${MY_AM_VER} --add-missing --copy 2>/dev/null
+
+exit 0